We just released our native n8n integration!ยป Try now
OnlyFans API

Enable/Disable Welcome Message

Enable or disable the automatic welcome message that is sent when someone subscribes.

PATCH
/api/{account}/settings/welcome-message
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Request Body

application/json

enabled*boolean

Whether the welcome message should be enabled.

Response Body

application/json

curl -X PATCH "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/settings/welcome-message" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{
  "data": {
    "success": true
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999969,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999998,
      "remaining_day": 49970
    }
  }
}